---
title: DevOps Platform Delivered as a Single Application
description: “From project planning and source code management to CI/CD and monitoring, GitLab is a complete DevOps platform, delivered as a single application. Only GitLab enables Concurrent DevOps to make the software lifecycle 200% faster.”
canonical_path: "/"
suppress_header: true
layout: home
disable_default_styles: true
disable_handbook_styles: true
data_identifier: Homepage
extra_css:
  - home.css
  - home2020.css
  - merchandising-content.css
  - bl-modal.css
  - video-carousel.css
extra_js:
  - libs/on-scroll.js
  - all-clickable.js
  - libs/slick.min.js
  - video-carousel.js
---

-# These times will automatically disable certain sections of content.
-# Dates should be specified using the ISO 8601 date format, YYYY-MM-DD
-# If including a time, YYYY-MM-DDT:HH:MM:SS-timezeone.
-# Example: 2010-02-01T:22:00:00-0700 (February 1st, 2010 @ 10PM Pacific).

- currentTime = Time.now.in_time_zone("Pacific Time (US & Canada)")
- eventStartTime = Time.parse("2020-12-07T:00:00:00-0600")
- eventEndTime   = Time.parse("2020-12-11T:18:00:00-0600")

-# IF event has not started.
-# - if eventStartTime > currentTime 
-#   = partial "includes/home/hero"

-# If (event has started) && (event is currently ongoing), (else) event has ended.
- if currentTime > eventStartTime && eventEndTime > currentTime
  = partial "includes/home/banner-top"
  = partial "includes/home/hero-ci-cd"

- else
  = partial "includes/home/banner-top"
  = partial "includes/home/hero"

= partial "includes/home/customer-benefits"

= partial "includes/components/customer-highlight-quad"

= partial "includes/home/sdlc"

= partial "includes/home/call-to-action-trial"

= partial "includes/home/customer-success-stories"

= partial "includes/home/ten-oh-announcement"

= partial "includes/recent-posts"

= partial "includes/home/featured-videos"

= partial "includes/home/call-to-action"

= partial "includes/home/feature-group"

-# = partial "includes/home/"
